Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1068 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

Sample rate module causes crash in calc_usecs_unicast_package when changing channel on IXP425 platform

Reported by: rozteck@interia.pl Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: rate module 'sample' Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

When you change the channel on which AP is running while AP has stations connected and transmitting data, crash in calc_usecs_unicast_package called from update_stats appears. The AP is running on IXP425 platform with 4.9GHz Ubiquiti card installed.

Attachments

calc_usecs_unicast_package_crash_fix.diff (1.8 kB) - added by rozteck@interia.pl on 01/08/07 10:30:37.
This patch fixes the bug described below (at least fixes it for me)
calc_usecs_unicast_package_crash_fix.2.diff (1.8 kB) - added by rozteck@interia.pl on 01/09/07 10:33:01.
This patch adds some NULL pointer checking to alc_usecs_unicast_package preventing from crash under some circumstances. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

Change History

01/08/07 10:30:37 changed by rozteck@interia.pl

  • attachment calc_usecs_unicast_package_crash_fix.diff added.

This patch fixes the bug described below (at least fixes it for me)

01/08/07 10:53:33 changed by mrenzmann

Please sign off the patch so that it can be committed to the repository after evaluation.

01/09/07 10:33:01 changed by rozteck@interia.pl

  • attachment calc_usecs_unicast_package_crash_fix.2.diff added.

This patch adds some NULL pointer checking to alc_usecs_unicast_package preventing from crash under some circumstances. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

06/01/07 17:14:09 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

This is fixed in r2403; I do not know when the patch was applied.

06/04/07 06:37:05 changed by mrenzmann

I might be missing something (as I just got out of bed), but I can't see that r2403 is related to the patch attached here, and from a quick glance at sample.c it seems that the patch from Tomasz is not applied as of r2426...?

06/04/07 12:55:46 changed by mentor

  • status changed from closed to reopened.
  • resolution deleted.

(follow-up: ↓ 6 ) 06/04/07 12:57:59 changed by mentor

Sorry, that may have been a bit misleading.

That patch is not useful, as, if sc were equal to NULL, then we would get an oops long before the modified code is ever reached. Does the problem still occur in trunk?

(in reply to: ↑ 5 ) 06/04/07 22:08:39 changed by rozteck@interia.pl

Replying to mentor:

That patch is not useful, as, if sc were equal to NULL, then we would get an oops long before the modified code is ever reached. Does the problem still occur in trunk?

The problem was that the oops was appearing here not before or long before that point. However the refcount patch have fixed this issue, so the patch is not necessary anymore. Please close the ticket

06/04/07 23:12:21 changed by mentor

  • status changed from reopened to closed.
  • resolution set to fixed.

mentor picks a resolution

06/05/07 06:12:39 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:14:42 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.